#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 quickcheck-classes
version:              0.6.5.0
visibility:           public
id:                   quickcheck-classes-0.6.5.0-AIfVSV4iuOR9xGbszsZpE
key:                  quickcheck-classes-0.6.5.0-AIfVSV4iuOR9xGbszsZpE
license:              BSD-3-Clause
copyright:            2018 Andrew Martin
maintainer:           andrew.thaddeus@gmail.com
author:               Andrew Martin, chessai
homepage:             https://github.com/andrewthad/quickcheck-classes#readme
synopsis:             QuickCheck common typeclasses
description:
    This library provides QuickCheck properties to ensure
    that typeclass instances adhere to the set of laws that
    they are supposed to. There are other libraries that do
    similar things, such as `genvalidity-hspec` and `checkers`.
    This library differs from other solutions by not introducing
    any new typeclasses that the user needs to learn.

    /Note:/ on GHC < 8.5, this library uses the higher-kinded typeclasses
    ('\''Data.Functor.Classes.Show1'\'', '\''Data.Functor.Classes.Eq1'\'', '\''Data.Functor.Classes.Ord1'\'', etc.),
    but on GHC >= 8.5, it uses `-XQuantifiedConstraints` to express these
    constraints more cleanly.

category:             Testing
abi:                  13c5725f3416dd253aef77d58f00c8f2
exposed:              True
exposed-modules:
    Test.QuickCheck.Classes Test.QuickCheck.Classes.IsList

hidden-modules:
    Test.QuickCheck.Classes.Alt Test.QuickCheck.Classes.Apply
    Test.QuickCheck.Classes.Euclidean Test.QuickCheck.Classes.Json
    Test.QuickCheck.Classes.MVector Test.QuickCheck.Classes.Plus
    Test.QuickCheck.Classes.Prim Test.QuickCheck.Classes.Semigroupoid
    Test.QuickCheck.Classes.Semiring Test.QuickCheck.Classes.Ring

import-dirs:          /usr/lib/ghc-9.0.2/site-local/quickcheck-classes-0.6.5.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/quickcheck-classes-0.6.5.0
dynamic-library-dirs: /usr/lib
data-dir:
    /usr/share/x86_64-linux-ghc-9.0.2/quickcheck-classes-0.6.5.0

hs-libraries:         HSquickcheck-classes-0.6.5.0-AIfVSV4iuOR9xGbszsZpE
depends:
    QuickCheck-2.14.2-36CzwHd2MOfEJ13HPZo932
    aeson-1.5.6.0-8jziRWRW6a6EPpU4Gt4Qym base-4.15.1.0
    containers-0.6.4.1 primitive-0.7.3.0-B50m1vBTvOqCDtGqJqReDJ
    primitive-addr-0.1.0.2-TilQnFI92l8hh9MDibldC
    quickcheck-classes-base-0.6.2.0-6wY4mayHBZxCf94rICYGqq
    semigroupoids-5.3.7-9u0SjKd3fvKrUPeAW79t
    semirings-0.6-BNrOoWcK1s5EwHsvc8lUl3 transformers-0.5.6.2
    vector-0.12.3.1-KtKcoCRq29nJlZWgb7i8Fm

haddock-interfaces:
    /usr/share/doc/haskell-quickcheck-classes/html/quickcheck-classes.haddock

haddock-html:         /usr/share/doc/haskell-quickcheck-classes/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

